import es
import playerlib
import popuplib

info = es.AddonInfo()
info.name        = "Simpsons Mod"
info.version     = "1.0"
info.author      = "Donut"
info.basename    = "simpsons_mod"
info.description = "A remake of the old simpsons"

def load():

    ## Mart Menu

    global mart_main
    mart_main = popuplib.easymenu('Mart_Menu', '_popup_choice', mart_menuselect)
    mart_main.settitle('Kwik-E-Mart')
    mart_main.addoption('1', 'Foods')
    mart_main.addoption('2', 'Drinks')
    mart_main.addoption('3', 'Skateboards')

    global mart_sub1
    mart_sub1 = popuplib.easymenu('Foods_Menu', '_popup_choice', foods_menuselect)
    mart_sub1.settitle('Foods')
    mart_sub1.addoption('1', 'Sandwiches - $1000')
    mart_sub1.addoption('2', 'Donuts - $2000')
    mart_sub1.addoption('3', 'Hot Dogs - $3000')
    mart_sub1.addoption('4', 'Burritos - $4000')
    mart_sub1.addoption('5', 'Krusty-O\'s - $5000')

    global mart_sub2
    mart_sub2 = popuplib.easymenu('Drinks_Menu', '_popup_choice', drinks_menuselect)
    mart_sub2.settitle('Drinks')
    mart_sub2.addoption('1', 'Buzz Cola - $500')
    mart_sub2.addoption('2', 'Squishees - $1000')
    mart_sub2.addoption('3', 'Duff Beer - $1500')
    mart_sub2.addoption('4', 'Duff Energy Drink - $2000')

    global mart_sub3
    mart_sub3 = popuplib.easymenu('Skateboards_Menu', '_popup_choice', skateboards_menuselect)
    mart_sub3.settitle('Skateboards')
    mart_sub3.addoption('1', 'Damaged Skateboard - $2000')
    mart_sub3.addoption('2', 'Second-Hand Skateboard - $4000')
    mart_sub3.addoption('3', 'Skateboard - $6000')
    mart_sub3.addoption('4', 'New Skateboard - $8000')
    mart_sub3.addoption('5', 'Best Skateboard - $10000')


    ## Sound Menu

    ##es.playsound(event_var['userid'], 'ambient/tones/elev4.wav', 1.0)
    ##es.tell(event_var["userid"], "Hello World!"


    ## Help Menu

    global help_main
    help_main = popuplib.easymenu('Help_Menu', '_popup_choice', help_menuselect)
    help_main.settitle('Help')
    help_main.addoption('1', 'Kwik-E-Mart Help')
    help_main.addoption('2', 'FAQ')

    global help_sub1
    help_sub1 = popuplib.easymenu('MartHelp_Menu', '_popup_choice', marthelp_menuselect)
    help_sub1.settitle('Help')
    help_sub1.addoption('1', 'Food Help')
    help_sub1.addoption('2', 'Drink Help')
    help_sub1.addoption('3', 'Skateboard Help')

    global help_sub1_1
    help_sub1_1 = popuplib.easymenu('FoodHelp_Menu', '_popup_choice', foodhelp_menuselect)
    help_sub1_1.settitle('Food Help')
    help_sub1_1.addoption('1', 'Sandwiches')
    help_sub1_1.addoption('2', 'Donuts')
    help_sub1_1.addoption('3', 'Hot Dogs')
    help_sub1_1.addoption('4', 'Burritos')
    help_sub1_1.addoption('5', 'Krusty-O\'s')

    global help_sub1_1_1
    help_sub1_1_1 = popuplib.easymenu('Sandwiches_Menu', '_popup_choice', foodinfo_menuselect)
    help_sub1_1_1.settitle('Sandwiches')
    help_sub1_1_1.addoption('1', '----------')
    help_sub1_1_1.addoption('2', 'Price:  $1000')
    help_sub1_1_1.addoption('3', 'HP:     +10')
    help_sub1_1_1.addoption('4', '----------')

    global help_sub1_1_2
    help_sub1_1_2 = popuplib.easymenu('Donuts_Menu', '_popup_choice', foodinfo_menuselect)
    help_sub1_1_2.settitle('Donuts')
    help_sub1_1_2.addoption('1', '----------')
    help_sub1_1_2.addoption('2', 'Price: $2000')
    help_sub1_1_2.addoption('3', 'HP:    +20')
    help_sub1_1_2.addoption('4', '----------')

    global help_sub1_1_3
    help_sub1_1_3 = popuplib.easymenu('HotDogs_Menu', '_popup_choice', foodinfo_menuselect)
    help_sub1_1_3.settitle('Hot Dogs')
    help_sub1_1_3.addoption('1', '----------')
    help_sub1_1_3.addoption('2', 'Price: $3000')
    help_sub1_1_3.addoption('3', 'HP:    +30')
    help_sub1_1_3.addoption('4', '----------')

    global help_sub1_1_4
    help_sub1_1_4 = popuplib.easymenu('Burritos_Menu', '_popup_choice', foodinfo_menuselect)
    help_sub1_1_4.settitle('Burritos')
    help_sub1_1_4.addoption('1', '----------')
    help_sub1_1_4.addoption('2', 'Price: $4000')
    help_sub1_1_4.addoption('3', 'HP:    +40')
    help_sub1_1_4.addoption('4', '----------')

    global help_sub1_1_5
    help_sub1_1_5 = popuplib.easymenu('KrustyOs_Menu', '_popup_choice', foodinfo_menuselect)
    help_sub1_1_5.settitle('Krusty-O\'s')
    help_sub1_1_5.addoption('1', '----------')
    help_sub1_1_5.addoption('2', 'Price: $5000')
    help_sub1_1_5.addoption('3', 'HP:    +50')
    help_sub1_1_5.addoption('4', '----------')

    global help_sub1_2
    help_sub1_2 = popuplib.easymenu('DrinkHelp_Menu', '_popup_choice', drinkhelp_menuselect)
    help_sub1_2.settitle('Drink Help')
    help_sub1_2.addoption('1', 'Buzz Cola')
    help_sub1_2.addoption('2', 'Squishees')
    help_sub1_2.addoption('3', 'Duff Beer')
    help_sub1_2.addoption('4', 'Duff Energy Drink')

    global help_sub1_2_1
    help_sub1_2_1 = popuplib.easymenu('BuzzCola_Menu', '_popup_choice', drinkinfo_menuselect)
    help_sub1_2_1.settitle('Buzz Cola')
    help_sub1_2_1.addoption('1', '----------')
    help_sub1_2_1.addoption('2', 'Price:  $500')
    help_sub1_2_1.addoption('3', 'Armor:  +25')
    help_sub1_2_1.addoption('4', '----------')

    global help_sub1_2_2
    help_sub1_2_2 = popuplib.easymenu('Donuts_Menu', '_popup_choice', drinkinfo_menuselect)
    help_sub1_2_2.settitle('Donuts')
    help_sub1_2_2.addoption('1', '----------')
    help_sub1_2_2.addoption('2', 'Price: $1000')
    help_sub1_2_2.addoption('3', 'HP:    +50')
    help_sub1_2_2.addoption('4', '----------')

    global help_sub1_2_3
    help_sub1_2_3 = popuplib.easymenu('HotDogs_Menu', '_popup_choice', drinkinfo_menuselect)
    help_sub1_2_3.settitle('Hotdogs')
    help_sub1_2_3.addoption('1', '----------')
    help_sub1_2_3.addoption('2', 'Price: $1500')
    help_sub1_2_3.addoption('3', 'HP:    +75')
    help_sub1_2_3.addoption('4', '----------')

    global help_sub1_2_4
    help_sub1_2_4 = popuplib.easymenu('Burritos_Menu', '_popup_choice', drinkinfo_menuselect)
    help_sub1_2_4.settitle('Burritos')
    help_sub1_2_4.addoption('1', '----------')
    help_sub1_2_4.addoption('2', 'Price: $2000')
    help_sub1_2_4.addoption('3', 'HP:    +100')
    help_sub1_2_4.addoption('4', '----------')

    global help_sub1_3
    help_sub1_3 = popuplib.easymenu('SkateboardHelp_Menu', '_popup_choice', skateboardhelp_menuselect)
    help_sub1_3.settitle('Skateboard Help')
    help_sub1_3.addoption('1', 'Damaged Skateboard')
    help_sub1_3.addoption('2', 'Second-Hand Skateboard')
    help_sub1_3.addoption('3', 'Skateboard')
    help_sub1_3.addoption('4', 'New Skateboard')
    help_sub1_3.addoption('5', 'Best Skateboard')

    global help_sub1_3_1
    help_sub1_3_1 = popuplib.easymenu('DamagedSkateboard_Menu', '_popup_choice', skateboardinfo_menuselect)
    help_sub1_3_1.settitle('Damaged Skateboard')
    help_sub1_3_1.addoption('1', '----------')
    help_sub1_3_1.addoption('2', 'Price:  $2000')
    help_sub1_3_1.addoption('3', 'Speed:   1.1x')
    help_sub1_3_1.addoption('4', '----------')

    global help_sub1_3_2
    help_sub1_3_2 = popuplib.easymenu('Donuts_Menu', '_popup_choice', skateboardinfo_menuselect)
    help_sub1_3_2.settitle('Second-Hand Skateboard')
    help_sub1_3_2.addoption('1', '----------')
    help_sub1_3_2.addoption('2', 'Price: $4000')
    help_sub1_3_2.addoption('3', 'Speed:   1.2x')
    help_sub1_3_2.addoption('4', '----------')

    global help_sub1_3_3
    help_sub1_3_3 = popuplib.easymenu('HotDogs_Menu', '_popup_choice', skateboardinfo_menuselect)
    help_sub1_3_3.settitle('Skateboard')
    help_sub1_3_3.addoption('1', '----------')
    help_sub1_3_3.addoption('2', 'Price: $6000')
    help_sub1_3_3.addoption('3', 'Speed:   1.3x')
    help_sub1_3_3.addoption('4', '----------')

    global help_sub1_3_4
    help_sub1_3_4 = popuplib.easymenu('Burritos_Menu', '_popup_choice', skateboardinfo_menuselect)
    help_sub1_3_4.settitle('New Skateboard')
    help_sub1_3_4.addoption('1', '----------')
    help_sub1_3_4.addoption('2', 'Price: $8000')
    help_sub1_3_4.addoption('3', 'Speed:   1.4x')
    help_sub1_3_4.addoption('4', '----------')

    global help_sub1_4_5
    help_sub1_3_5 = popuplib.easymenu('Burritos_Menu', '_popup_choice', skateboardinfo_menuselect)
    help_sub1_3_5.settitle('Best Skateboard')
    help_sub1_3_5.addoption('1', '----------')
    help_sub1_3_5.addoption('2', 'Price: $10000')
    help_sub1_3_5.addoption('3', 'Speed:   1.5x')
    help_sub1_3_5.addoption('4', '----------')


    ## FAQ

    global help_sub2
    help_sub2 = popuplib.easymenu('SkateboardHelp_Menu', '_popup_choice', faq_menuselect)
    help_sub2.settitle('F.A.Q')
    help_sub2.addoption('1', '------------')
    help_sub2.addoption('1', 'Q. What do foods do?')
    help_sub2.addoption('1', 'A. They increase your health')
    help_sub2.addoption('1', '------------')
    help_sub2.addoption('1', 'Q. What do drinks do?')
    help_sub2.addoption('1', 'A. They increase your armor')
    help_sub2.addoption('1', '------------')
    help_sub2.addoption('1', '------------')
    help_sub2.addoption('1', 'Q. What do skateboards do?')
    help_sub2.addoption('1', 'A. They increase your speed')
    help_sub2.addoption('1', '------------')
    help_sub2.addoption('1', 'Q. How do i open the Kwik-E-Mart?')
    help_sub2.addoption('1', 'A. Type !mart to open the Kwik-E-Mart')
    help_sub2.addoption('1', '------------')

    es.server.cmd("mp_restartgame 2")


def player_say(ev):
    userid = ev['userid']
    if ev['text'] == '!mart':
            mart_main.send(userid)
    elif ev['text'] == '!help':
            help_main.send(userid)


    ## Mart Menu Handler

def mart_menuselect(userid, choice, popupid):
    if choice == '1':
        mart_sub1.send(userid)
    elif choice == '2':
        mart_sub2.send(userid)
    elif choice == '3':
        mart_sub3.send(userid)
        
def foods_menuselect(userid, choice, popupid):
    if choice == '1':
        price = 1000
        item = 'Sandwich'
        addhp = 10
        myPlayer = playerlib.getPlayer(userid)

        if es.getplayerprop(myPlayer, 'CBasePlayer.pl.deadflag'):
            es.tell(myPlayer,'#multi','#greenYou can\'t buy a %s when you are dead!'%(item))
            return

        if myPlayer.cash < price:
            es.tell(myPlayer,'#multi','#defaultYou do NOT have enough money [#green$%s#default] for a #green%s#default!'%(price,item))
            return

        myPlayer.cash -= price
        myPlayer.health += addhp
        es.tell(myPlayer,'#multi','#defaultYou had bought a [#green%s#default] for #green$%s#default!'%(item,price))

    elif choice == '2':
        price = 2000
        item = 'Donuts'
        addhp = 20
        myPlayer = playerlib.getPlayer(userid)

        if es.getplayerprop(myPlayer, 'CBasePlayer.pl.deadflag'):
            es.tell(myPlayer,'#multi','#greenYou can\'t buy a %s when you are dead!'%(item))
            return

        if myPlayer.cash < price:
            es.tell(myPlayer,'#multi','#defaultYou do NOT have enough money [#green$%s#default] for a #green%s#default!'%(price,item))
            return

        myPlayer.cash -= price
        myPlayer.health += addhp
        es.tell(myPlayer,'#multi','#defaultYou had bought a [#green%s#default] for #green$%s#default!'%(item,price))

    elif choice == '3':
        price = 3000
        item = 'Hotdog'
        addhp = 30
        myPlayer = playerlib.getPlayer(userid)

        if es.getplayerprop(myPlayer, 'CBasePlayer.pl.deadflag'):
            es.tell(myPlayer,'#multi','#greenYou can\'t buy a %s when you are dead!'%(item))
            return

        if myPlayer.cash < price:
            es.tell(myPlayer,'#multi','#defaultYou do NOT have enough money [#green$%s#default] for a #green%s#default!'%(price,item))
            return

        myPlayer.cash -= price
        myPlayer.health += addhp
        es.tell(myPlayer,'#multi','#defaultYou had bought a [#green%s#default] for #green$%s#default!'%(item,price))

    elif choice == '4':
        price = 4000
        item = 'Burrito'
        addhp = 40
        myPlayer = playerlib.getPlayer(userid)

        if es.getplayerprop(myPlayer, 'CBasePlayer.pl.deadflag'):
            es.tell(myPlayer,'#multi','#greenYou can\'t buy a %s when you are dead!'%(item))
            return

        if myPlayer.cash < price:
            es.tell(myPlayer,'#multi','#defaultYou do NOT have enough money [#green$%s#default] for a #green%s#default!'%(price,item))
            return

        myPlayer.cash -= price
        myPlayer.health += addhp
        es.tell(myPlayer,'#multi','#defaultYou had bought a [#green%s#default] for #green$%s#default!'%(item,price))

    elif choice == '5':
        price = 5000
        item = 'Krusty-O'
        addhp = 50
        myPlayer = playerlib.getPlayer(userid)

        if es.getplayerprop(myPlayer, 'CBasePlayer.pl.deadflag'):
            es.tell(myPlayer,'#multi','#greenYou can\'t buy a %s when you are dead!'%(item))
            return

        if myPlayer.cash < price:
            es.tell(myPlayer,'#multi','#defaultYou do NOT have enough money [#green$%s#default] for a #green%s#default!'%(price,item))
            return

        myPlayer.cash -= price
        myPlayer.health += addhp
        es.tell(myPlayer,'#multi','#defaultYou had bought a [#green%s#default] for #green$%s#default!'%(item,price))

def drinks_menuselect(userid, choice, popupid):
    if choice == '1':
        price = 500
        item = 'Buzz Cola'
        addsamor = 25
        myPlayer = playerlib.getPlayer(userid)

        if es.getplayerprop(myPlayer, 'CBasePlayer.pl.deadflag'):
            es.tell(myPlayer,'#multi','#greenYou can\'t buy a %s when you are dead!'%(item))
            return

        if myPlayer.cash < price:
            es.tell(myPlayer,'#multi','#defaultYou do NOT have enough money [#green$%s#default] for a #green%s#default!'%(price,item))
            return

        myPlayer.cash -= price
        myPlayer.speed += addsamor
        es.tell(myPlayer,'#multi','#defaultYou had bought a [#green%s#default] for #green$%s#default!'%(item,price))

    elif choice == '2':
        price = 1000
        item = 'Squishees'
        addsamor = 50
        myPlayer = playerlib.getPlayer(userid)

        if es.getplayerprop(myPlayer, 'CBasePlayer.pl.deadflag'):
            es.tell(myPlayer,'#multi','#greenYou can\'t buy a %s when you are dead!'%(item))
            return

        if myPlayer.cash < price:
            es.tell(myPlayer,'#multi','#defaultYou do NOT have enough money [#green$%s#default] for a #green%s#default!'%(price,item))
            return

        myPlayer.cash -= price
        myPlayer.speed += addsamor
        es.tell(myPlayer,'#multi','#defaultYou had bought a [#green%s#default] for #green$%s#default!'%(item,price))

    elif choice == '3':
        price = 1500
        item = 'Duff Beer'
        addsamor = 75
        myPlayer = playerlib.getPlayer(userid)

        if es.getplayerprop(myPlayer, 'CBasePlayer.pl.deadflag'):
            es.tell(myPlayer,'#multi','#greenYou can\'t buy a %s when you are dead!'%(item))
            return

        if myPlayer.cash < price:
            es.tell(myPlayer,'#multi','#defaultYou do NOT have enough money [#green$%s#default] for a #green%s#default!'%(price,item))
            return

        myPlayer.cash -= price
        myPlayer.speed += addsamor
        es.tell(myPlayer,'#multi','#defaultYou had bought a [#green%s#default] for #green$%s#default!'%(item,price))

    elif choice == '4':
        price = 2000
        item = 'Duff Energy Drink'
        addsamor = 100
        myPlayer = playerlib.getPlayer(userid)

        if es.getplayerprop(myPlayer, 'CBasePlayer.pl.deadflag'):
            es.tell(myPlayer,'#multi','#greenYou can\'t buy a %s when you are dead!'%(item))
            return

        if myPlayer.cash < price:
            es.tell(myPlayer,'#multi','#defaultYou do NOT have enough money [#green$%s#default] for a #green%s#default!'%(price,item))
            return

        myPlayer.cash -= price
        myPlayer.speed += addsamor
        es.tell(myPlayer,'#multi','#defaultYou had bought a [#green%s#default] for #green$%s#default!'%(item,price))


def skateboards_menuselect(userid, choice, popupid):
    if choice == '1':
        price = 2000
        item = 'Damaged Skateboard'
        myPlayer = playerlib.getPlayer(userid)

        if es.getplayerprop(myPlayer, 'CBasePlayer.pl.deadflag'):
            es.tell(myPlayer,'#multi','#greenYou can\'t buy a %s when you are dead!'%(item))
            return

        if myPlayer.cash < price:
            es.tell(myPlayer,'#multi','#defaultYou do NOT have enough money [#green$%s#default] for a #green%s#default!'%(price,item))
            return

        myPlayer.cash -= price
        myPlayer.speed = 1.2
        es.tell(myPlayer,'#multi','#defaultYou had bought a [#green%s#default] for #green$%s#default!'%(item,price))

    elif choice == '2':
        price = 4000
        item = 'Second-Hand Skateboard'
        myPlayer = playerlib.getPlayer(userid)

        if es.getplayerprop(myPlayer, 'CBasePlayer.pl.deadflag'):
            es.tell(myPlayer,'#multi','#greenYou can\'t buy a %s when you are dead!'%(item))
            return

        if myPlayer.cash < price:
            es.tell(myPlayer,'#multi','#defaultYou do NOT have enough money [#green$%s#default] for a #green%s#default!'%(price,item))
            return

        myPlayer.cash -= price
        myPlayer.speed = 1.4
        es.tell(myPlayer,'#multi','#defaultYou had bought a [#green%s#default] for #green$%s#default!'%(item,price))

    elif choice == '3':
        price = 6000
        item = 'Skateboard'
        myPlayer = playerlib.getPlayer(userid)

        if es.getplayerprop(myPlayer, 'CBasePlayer.pl.deadflag'):
            es.tell(myPlayer,'#multi','#greenYou can\'t buy a %s when you are dead!'%(item))
            return

        if myPlayer.cash < price:
            es.tell(myPlayer,'#multi','#defaultYou do NOT have enough money [#green$%s#default] for a #green%s#default!'%(price,item))
            return

        myPlayer.cash -= price
        myPlayer.speed = 1.6
        es.tell(myPlayer,'#multi','#defaultYou had bought a [#green%s#default] for #green$%s#default!'%(item,price))

    elif choice == '4':
        price = 8000
        item = 'New Skateboard'
        myPlayer = playerlib.getPlayer(userid)

        if es.getplayerprop(myPlayer, 'CBasePlayer.pl.deadflag'):
            es.tell(myPlayer,'#multi','#greenYou can\'t buy a %s when you are dead!'%(item))
            return

        if myPlayer.cash < price:
            es.tell(myPlayer,'#multi','#defaultYou do NOT have enough money [#green$%s#default] for a #green%s#default!'%(price,item))
            return

        myPlayer.cash -= price
        myPlayer.speed = 1.8
        es.tell(myPlayer,'#multi','#defaultYou had bought a [#green%s#default] for #green$%s#default!'%(item,price))

    elif choice == '5':
        price = 10000
        item = 'Best Skateboard'
        myPlayer = playerlib.getPlayer(userid)

        if es.getplayerprop(myPlayer, 'CBasePlayer.pl.deadflag'):
            es.tell(myPlayer,'#multi','#greenYou can\'t buy a %s when you are dead!'%(item))
            return

        if myPlayer.cash < price:
            es.tell(myPlayer,'#multi','#defaultYou do NOT have enough money [#green$%s#default] for a #green%s#default!'%(price,item))
            return

        myPlayer.cash -= price
        myPlayer.speed = 2
        es.tell(myPlayer,'#multi','#defaultYou had bought a [#green%s#default] for #green$%s#default!'%(item,price))


    ## Help Menu Handler

def help_menuselect(userid, choice, popupid):
    if choice == '1':
        help_sub1.send(userid)
    elif choice == '2':
        help_sub2.send(userid)

def marthelp_menuselect(userid, choice, popupid):
    if choice == '1':
        help_sub1_1.send(userid)
    elif choice == '2':
        help_sub1_2.send(userid)
    elif choice == '3':
        help_sub1_3_3.send(userid)

def foodhelp_menuselect(userid, choice, popupid):
    if choice == '1':
        help_sub1_1_1.send(userid)
    elif choice == '2':
        help_sub1_1_2.send(userid)
    elif choice == '3':
        help_sub1_1_3.send(userid)
    elif choice == '4':
        help_sub1_1_4.send(userid)
    elif choice == '5':
        help_sub1_1_5.send(userid)

def foodinfo_menuselect(userid, choice, popupid):
    if choice == '1':
        help_sub1_1.send(userid)
    elif choice == '2':
        help_sub1_1.send(userid)
    elif choice == '3':
        help_sub1_1.send(userid)
    elif choice == '4':
        help_sub1_1.send(userid)
    elif choice == '5':
        help_sub1_1.send(userid)
    elif choice == '6':
        help_sub1_1.send(userid)
    elif choice == '7':
        help_sub1_1.send(userid)
    elif choice == '8':
        help_sub1_1.send(userid)
    elif choice == '9':
        help_sub1_1.send(userid)

def drinkhelp_menuselect(userid, choice, popupid):
    if choice == '1':
        help_sub1_2_1.send(userid)
    elif choice == '2':
        help_sub1_2_2.send(userid)
    elif choice == '3':
        help_sub1_2_3.send(userid)
    elif choice == '4':
        help_sub1_2_4.send(userid)
    elif choice == '5':
        help_sub1_2_5.send(userid)

def drinkinfo_menuselect(userid, choice, popupid):
    if choice == '1':
        help_sub1_2.send(userid)
    elif choice == '2':
        help_sub1_2.send(userid)
    elif choice == '3':
        help_sub1_2.send(userid)
    elif choice == '4':
        help_sub1_2.send(userid)
    elif choice == '5':
        help_sub1_2.send(userid)
    elif choice == '6':
        help_sub1_2.send(userid)
    elif choice == '7':
        help_sub1_2.send(userid)
    elif choice == '8':
        help_sub1_2.send(userid)
    elif choice == '9':
        help_sub1_2.send(userid)

def skateboardhelp_menuselect(userid, choice, popupid):
    if choice == '1':
        help_sub1_3_1.send(userid)
    elif choice == '2':
        help_sub1_3_2.send(userid)
    elif choice == '3':
        help_sub1_3_3.send(userid)
    elif choice == '4':
        help_sub1_3_4.send(userid)
    elif choice == '5':
        help_sub1_3_5.send(userid)

def skateboardinfo_menuselect(userid, choice, popupid):
    if choice == '1':
        help_sub1_3.send(userid)
    elif choice == '2':
        help_sub1_3.send(userid)
    elif choice == '3':
        help_sub1_3.send(userid)
    elif choice == '4':
        help_sub1_3.send(userid)
    elif choice == '5':
        help_sub1_3.send(userid)
    elif choice == '6':
        help_sub1_3.send(userid)
    elif choice == '7':
        help_sub1_3.send(userid)
    elif choice == '8':
        help_sub1_3.send(userid)
    elif choice == '9':
        help_sub1_3.send(userid)

def faq_menuselect(userid, choice, popupid):
    if choice == '1':
        help_sub2.send(userid)
    elif choice == '2':
        help_sub2.send(userid)
    elif choice == '3':
        help_sub2.send(userid)
    elif choice == '4':
        help_sub2.send(userid)
    elif choice == '5':
        help_sub2.send(userid)
    elif choice == '6':
        help_sub2.send(userid)
    elif choice == '7':
        help_sub2.send(userid)
    elif choice == '8':
        help_sub2.send(userid)
    elif choice == '9':
        help_sub2.send(userid)

def unload():

    es.msg("#multi", "#green[Simpsons Mod v1.0]#default Unloaded")

def es_map_start(event_var):
    downloadmodels()

def player_spawn(event_var):
    team = es.getplayerteam(event_var['userid'])
    if team == 2:
        myPlayer = playerlib.getPlayer(event_var['userid'])
        myPlayer.set('model', 'models/player/techknow/bart_fix/bart.mdl')
    elif team == 3:
        myPlayer = playerlib.getPlayer(event_var['userid'])
        myPlayer.set('model', 'models/player/slow/homer_v2/sheiks_homer.mdl')

def downloadmodels():

    ## Homer Model
    es.stringtable('downloadables', 'materials/models/player/slow/homer_v2/eye01.vmt')
    es.stringtable('downloadables', 'materials/models/player/slow/homer_v2/eye01.vtf')
    es.stringtable('downloadables', 'materials/models/player/slow/homer_v2/homer.vmt')
    es.stringtable('downloadables', 'materials/models/player/slow/homer_v2/homer.vtf')
    es.stringtable('downloadables', 'materials/models/player/slow/homer_v2/homer_e.vmt')
    es.stringtable('downloadables', 'materials/models/player/slow/homer_v2/homer_slow.vtf')
    es.stringtable('downloadables', 'materials/models/player/slow/homer_v2/mouththree.vmt')
    es.stringtable('downloadables', 'materials/models/player/slow/homer_v2/mouththree.vtf')
    es.stringtable('downloadables', 'materials/models/player/slow/homer_v2/mouthtwo.vmt')
    es.stringtable('downloadables', 'materials/models/player/slow/homer_v2/mouthtwo.vtf')
    es.stringtable('downloadables', 'models/player/slow/homer_v2/sheiks_homer.dx80.vtx')
    es.stringtable('downloadables', 'models/player/slow/homer_v2/sheiks_homer.dx90.vtx')
    es.stringtable('downloadables', 'models/player/slow/homer_v2/sheiks_homer.mdl')
    es.stringtable('downloadables', 'models/player/slow/homer_v2/sheiks_homer.phy')
    es.stringtable('downloadables', 'models/player/slow/homer_v2/sheiks_homer.sw.vtx')
    es.stringtable('downloadables', 'models/player/slow/homer_v2/sheiks_homer.vvd')

    ## Bart Model
    es.stringtable('downloadables', 'materials/models/player/techknow/bart/bart.vmt')
    es.stringtable('downloadables', 'materials/models/player/techknow/bart/bart.vtf')
    es.stringtable('downloadables', 'materials/models/player/techknow/bart/bart_normal.vtf')
    es.stringtable('downloadables', 'materials/models/player/techknow/bart/black.vmt')
    es.stringtable('downloadables', 'materials/models/player/techknow/bart/black.vtf')
    es.stringtable('downloadables', 'materials/models/player/techknow/bart/white.vmt')
    es.stringtable('downloadables', 'materials/models/player/techknow/bart/white.vtf')
    es.stringtable('downloadables', 'materials/models/player/techknow/bart/yellow.vmt')
    es.stringtable('downloadables', 'materials/models/player/techknow/bart/yellow.vtf')
    es.stringtable('downloadables', 'models/player/techknow/bart_fix/bart.dx80.vtx')
    es.stringtable('downloadables', 'models/player/techknow/bart_fix/bart.dx90.vtx')
    es.stringtable('downloadables', 'models/player/techknow/bart_fix/bart.mdl')
    es.stringtable('downloadables', 'models/player/techknow/bart_fix/bart.phy')
    es.stringtable('downloadables', 'models/player/techknow/bart_fix/bart.sw.vtx')
    es.stringtable('downloadables', 'models/player/techknow/bart_fix/bart.vvd')